Package icyllis.arc3d.engine.trash.ops

# Class DrawOp

java.lang.Object
icyllis.arc3d.core.Rect2f
icyllis.arc3d.engine.trash.ops.Op
icyllis.arc3d.engine.trash.ops.DrawOp

All Implemented Interfaces:
  `Rect2fc`

Direct Known Subclasses:
  `MeshDrawOp`

@Deprecated public abstract class DrawOp extends Op
Deprecated.
Base class for `Ops` that draw. These ops can draw into an `OpsRenderPass`'s `GpuRenderTarget`.

- ## Field Summary

  ### Fields inherited from class icyllis.arc3d.core.Rect2f

  `mBottom, mLeft, mRight, mTop`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrawOp()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `usesStencil()`
  Deprecated.
  Returns whether the op will draw stencil.

  ### Methods inherited from class icyllis.arc3d.engine.trash.ops.Op

  `chainConcat, chainSplit, hasAABloat, hasZeroArea, isChainHead, isChainTail, mayChain, nextInChain, onExecute, onMayChain, onPrepare, onPrePrepare, prevInChain, setBoundsFlags, setClippedBounds, validateChain, visitProxies`

  ### Methods inherited from class icyllis.arc3d.core.Rect2f

  `adjust, adjust, adjust, bottom, centerX, centerY, contains, contains, contains, contains, empty, equals, halfHeight, halfWidth, hashCode, height, inset, inset, inset, inset, intersect, intersect, intersect, intersect, intersectNoCheck, intersectNoCheck, intersectNoCheck, intersects, intersects, intersects, intersects, isEmpty, isFinite, isSorted, join, join, join, join, joinNoCheck, joinNoCheck, joinNoCheck, left, offset, offsetTo, outset, rectsOverlap, rectsTouchOrOverlap, right, round, round, roundIn, roundIn, roundOut, roundOut, set, set, set, setBounds, setBoundsNoCheck, setEmpty, sort, store, store, subtract, top, toString, width, x, y`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DrawOp

    public DrawOp()
    Deprecated.

- ## Method Details

  - ### usesStencil

    public boolean usesStencil()
    Deprecated.
    Returns whether the op will draw stencil.